Subject: bug#46209: closed (Re: bug#46209: 46043 breaks booting with custom shepherd package)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Feb 2021 18:52:03 +0000

Your bug report

#46209: 46043 breaks booting with custom shepherd package

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46209: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46209
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46209: 46043 breaks booting with custom shepherd package
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 21:51:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to master as 847c816ddd3a38c865da460cb7b22cf665db162f

Subject: 46043 breaks booting with custom shepherd package
From: Oleg Pykhalov <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 31 Jan 2021 15:46:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Before applied patch [1] I used a hack to override shepherd package:

    (module-set! (resolve-module '(gnu packages admin)) 'shepherd shepherd-patched)

Now on Guix commit eb6b061 I cannot use the previous override, and also
the mentioned in [1] way overriding shepherd package doesn't work:

    (shepherd-root-service-type config => (shepherd-configuration
                                           (inherit config)
                                           (shepherd shepherd-patched)))

I got error about undefined ‘#:supplementary-groups’ which added in
‘shepherd-patched’, so I assume my ‘shepherd-patched’ package not used.

[1] https://issues.guix.gnu.org/46043